Subject: RE: [Sipping] Questions on draft-anil-sipping-bla-03.txt

From: "Agrawal, Vishal" <[email-masked]>
Date: Wed, 16 Aug 2006 17:29:33 -0500

Hi Venkatesh,

I agree that the UAC should follow both section 13.2.2 and 15 in RFC
3261 to determine the next course of action. However, e.g. when all but
one UA receive the BYE, do they terminate the SUBSCRIBE dialog usage as
well? Or they need to keep the SUBSCRIBE dialog usage till they receive
the NOTIFY with terminated subscription state?

I've few other questions basically to clear my understanding: 

1.)     Can two simultaneous outbound calls be allowed from two BLA
user-agents if they choose different line appearances?

2.)    How does the BLA user-agent tell the registrar/proxy, how many
line appearances it has configured for the BLA DA? As per section 5.1 in
the BLA ID it's recommended to send one REGISTER request per DA on the
device, right? Should the proxy not send the INVITE to a user-agent in
the BLA group if it has no line appearance available?

3.)    The feature doesn't work for a SIP ATA, right?

4.)    Are 2 & 3 configuration issues? 

Vishal

________________________________

From: Venkatesh [mailto:[email-masked]] 
Sent: Wednesday, August 16, 2006 5:11 PM
To: Agrawal, Vishal
Cc: [email-masked]
Subject: Re: [Sipping] Questions on draft-anil-sipping-bla-03.txt

Vishal:

Offering calls to a BLA group relies the ability of the proxy to fork
the request. The proxy simply forwards all 2xx responses to the calling
side in cases where multiple UA's answer the call simultaneously. UA's
are expected to handle this condition per section 13.2.2 of RFC 3261. I
am not sure there is anything the UA would have to do in addition to
what is already mentioned in RFC 3261 for accomodating this condition.

Venkatesh

On 8/15/06, Agrawal, Vishal <[email-masked]> wrote: 

In section 6.3 "Call offered to a BLA Group", it's possible that more
than one user agents answer the incoming call simultaneously. What
should be the responses from the Proxy? Should the proxy send an ACK
followed by a BYE request? How would the agent receiving BYE know that a
race condition just occurred at the Proxy? I think that the section 8
should cover this race condition. 

-Vishal

_______________________________________________
Sipping mailing list   https://www1.ietf.org/mailman/listinfo/sipping
<https://www1.ietf.org/mailman/listinfo/sipping> 
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Venkatesh <[email-masked]>
Date: Wed, 16 Aug 2006 16:56:07 -0700

Replies inline....

On 8/16/06, Agrawal, Vishal <[email-masked]> wrote:
>
>   Hi Venkatesh,
>
>
>
> I agree that the UAC should follow both section 13.2.2 and 15 in RFC 3261
> to determine the next course of action. However, e.g. when all but one UA
> receive the BYE, do they terminate the SUBSCRIBE dialog usage as well? Or
> they need to keep the SUBSCRIBE dialog usage till they receive the NOTIFY
> with terminated subscription state?
>
[Venkatesh]: The SUBSCRIBE for dialog-state is an independent dialog by
itself. Thus receipt of a BYE does not terminate the subscription.

> user-agents if they choose different line appearances?
[Venkatesh]: Yes.

  2.)    How does the BLA user-agent tell the registrar/proxy, how many line
> appearances it has configured for the BLA DA? As per section 5.1 in the
> BLA ID it's recommended to send one REGISTER request per DA on the device,
> right? Should the proxy not send the INVITE to a user-agent in the BLA group
> if it has no line appearance available?
>

[Venkatesh]: The BLA user-agent does not need to provide this information to
the Registrar/Proxy. This is managed locally by the UA. It is for this
reason, the draft recommends that UA's send only one register for the AOR
regardless of how many line appearances it is configured with. Since line
management is local to the phone, the proxy will always fork an incoming
request to a UA regardless of availability of lines at a specific UA. UA's
can reject the incoming INVITE with an appropriate response if it does not
have any free lines.

[Venkatesh]: I am not sure I understand this question.

>
> Vishal
>
>
>  ------------------------------
>
> *From:* Venkatesh [mailto:[email-masked]]
> *Sent:* Wednesday, August 16, 2006 5:11 PM
> *To:* Agrawal, Vishal
> *Cc:* [email-masked]
> *Subject:* Re: [Sipping] Questions on draft-anil-sipping-bla-03.txt
>
>
>
> Vishal:
>
>
>
> Offering calls to a BLA group relies the ability of the proxy to fork the
> request. The proxy simply forwards all 2xx responses to the calling side in
> cases where multiple UA's answer the call simultaneously. UA's are expected
> to handle this condition per section 13.2.2 of RFC 3261. I am not sure
> there is anything the UA would have to do in addition to what is already
> mentioned in RFC 3261 for accomodating this condition.
>
>
> Venkatesh
>
>
> On 8/15/06, *Agrawal, Vishal* <[email-masked]> wrote:
>
> In section 6.3 "Call offered to a BLA Group", it's possible that more than
> one user agents answer the incoming call simultaneously. What should be the
> responses from the Proxy? Should the proxy send an ACK followed by a BYE
> request? How would the agent receiving BYE know that a race condition just
> occurred at the Proxy? I think that the section 8 should cover this race
> condition.
>
>
>
> -Vishal
>
>